Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] lisp trả về theo thứ tự các đối tượng được chọn


  • Please log in to reply
1 reply to this topic

#1 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 04 June 2012 - 01:26 PM

Mình chọn các đối tượng theo code sau:

(setq ptlist (acet-geom-vertex-list (car(entsel "\nChon pline: ")))
obj (ssget "f" ptlist '((8 . "test")(0 . "LWPOLYLINE")))
)
Mình cần lisp trả về danh sách các obj (chỉ cần ent name) theo thứ tự từ đầu đến cuối fence. Nghĩa là fence gặp đối tượng nào trước thì trả về ent name đối tượng đó trước, tương tự cho các đối tượng sau
  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 04 June 2012 - 02:00 PM

Bạn thêm dòng này:
(setq ent (acet-ss-to-list obj))
Chú ý chiều của fence theo thứ tự vẽ fence nhé!
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.